import datetime
import numpy
import typing
from typing import ClassVar, Dict, Iterator, List, Tuple, overload

C0nn: eclArrType
CHAR: eclArrType
DOUB: eclArrType
EDIT: eclSectionType
GRID: eclSectionType
INTE: eclArrType
LOGI: eclArrType
MESS: eclArrType
PROPS: eclSectionType
REAL: eclArrType
REGIONS: eclSectionType
RUNSPEC: eclSectionType
SCHEDULE: eclSectionType
SOLUTION: eclSectionType
SUMMARY: eclSectionType

current_ecl_state: EclipseState
current_report_step: int
current_schedule: Schedule
current_summary_state: SummaryState

class Builtin:
    def __init__(self) -> None: ...
    def __getitem__(self, index): ...
    @property
    def ACF(self): ...
    @property
    def ACTCO2S(self): ...
    @property
    def ACTDIMS(self): ...
    @property
    def ACTION(self): ...
    @property
    def ACTIONG(self): ...
    @property
    def ACTIONR(self): ...
    @property
    def ACTIONS(self): ...
    @property
    def ACTIONW(self): ...
    @property
    def ACTIONX(self): ...
    @property
    def ACTNUM(self): ...
    @property
    def ACTPARAM(self): ...
    @property
    def ADD(self): ...
    @property
    def ADDREG(self): ...
    @property
    def ADDZCORN(self): ...
    @property
    def ADSALNOD(self): ...
    @property
    def ADSORP(self): ...
    @property
    def AITS(self): ...
    @property
    def AITSOFF(self): ...
    @property
    def ALKADS(self): ...
    @property
    def ALKALINE(self): ...
    @property
    def ALKROCK(self): ...
    @property
    def ALL(self): ...
    @property
    def ALPOLADS(self): ...
    @property
    def ALSURFAD(self): ...
    @property
    def ALSURFST(self): ...
    @property
    def AMALGAM(self): ...
    @property
    def API(self): ...
    @property
    def APIGROUP(self): ...
    @property
    def APILIM(self): ...
    @property
    def APIVD(self): ...
    @property
    def AQANCONL(self): ...
    @property
    def AQANNC(self): ...
    @property
    def AQANTRC(self): ...
    @property
    def AQUALIST(self): ...
    @property
    def AQUANCON(self): ...
    @property
    def AQUCHGAS(self): ...
    @property
    def AQUCHWAT(self): ...
    @property
    def AQUCON(self): ...
    @property
    def AQUCT(self): ...
    @property
    def AQUCWFAC(self): ...
    @property
    def AQUDIMS(self): ...
    @property
    def AQUFET(self): ...
    @property
    def AQUFETP(self): ...
    @property
    def AQUFLUX(self): ...
    @property
    def AQUIFER_PROBE_ANALYTIC(self): ...
    @property
    def AQUIFER_PROBE_ANALYTIC_NAMED(self): ...
    @property
    def AQUIFER_PROBE_NUMERIC(self): ...
    @property
    def AQUNNC(self): ...
    @property
    def AQUNUM(self): ...
    @property
    def AQUTAB(self): ...
    @property
    def AUTOCOAR(self): ...
    @property
    def AUTOREF(self): ...
    @property
    def BC(self): ...
    @property
    def BCCON(self): ...
    @property
    def BCPROP(self): ...
    @property
    def BDENSITY(self): ...
    @property
    def BGGI(self): ...
    @property
    def BIC(self): ...
    @property
    def BIGMODEL(self): ...
    @property
    def BIOTCOEF(self): ...
    @property
    def BLACKOIL(self): ...
    @property
    def BLOCK_PROBE(self): ...
    @property
    def BLOCK_PROBE300(self): ...
    @property
    def BOGI(self): ...
    @property
    def BOUNDARY(self): ...
    @property
    def BOX(self): ...
    @property
    def BPARA(self): ...
    @property
    def BPIDIMS(self): ...
    @property
    def BRANPROP(self): ...
    @property
    def BRINE(self): ...
    @property
    def BTOBALFA(self): ...
    @property
    def BTOBALFV(self): ...
    @property
    def CALTRAC(self): ...
    @property
    def CARFIN(self): ...
    @property
    def CART(self): ...
    @property
    def CBMOPTS(self): ...
    @property
    def CECON(self): ...
    @property
    def CECONT(self): ...
    @property
    def CIRCLE(self): ...
    @property
    def CNAMES(self): ...
    @property
    def CO2SOL(self): ...
    @property
    def CO2STOR(self): ...
    @property
    def CO2STORE(self): ...
    @property
    def COAL(self): ...
    @property
    def COALADS(self): ...
    @property
    def COALNUM(self): ...
    @property
    def COALPP(self): ...
    @property
    def COARSEN(self): ...
    @property
    def COLLAPSE(self): ...
    @property
    def COLUMNS(self): ...
    @property
    def COMPDAT(self): ...
    @property
    def COMPDATX(self): ...
    @property
    def COMPFLSH(self): ...
    @property
    def COMPIMB(self): ...
    @property
    def COMPINJK(self): ...
    @property
    def COMPLMPL(self): ...
    @property
    def COMPLUMP(self): ...
    @property
    def COMPOFF(self): ...
    @property
    def COMPORD(self): ...
    @property
    def COMPRIV(self): ...
    @property
    def COMPRP(self): ...
    @property
    def COMPRPL(self): ...
    @property
    def COMPS(self): ...
    @property
    def COMPSEGL(self): ...
    @property
    def COMPSEGS(self): ...
    @property
    def COMPTRAJ(self): ...
    @property
    def COMPVE(self): ...
    @property
    def COMPVEL(self): ...
    @property
    def CONNECTION_PROBE(self): ...
    @property
    def CONNECTION_PROBE_OPM(self): ...
    @property
    def COORD(self): ...
    @property
    def COORDSYS(self): ...
    @property
    def COPY(self): ...
    @property
    def COPYBOX(self): ...
    @property
    def COPYREG(self): ...
    @property
    def CPIFACT(self): ...
    @property
    def CPIFACTL(self): ...
    @property
    def CPR(self): ...
    @property
    def CREF(self): ...
    @property
    def CREFW(self): ...
    @property
    def CREFWS(self): ...
    @property
    def CRITPERM(self): ...
    @property
    def CSKIN(self): ...
    @property
    def DATE(self): ...
    @property
    def DATES(self): ...
    @property
    def DATUM(self): ...
    @property
    def DATUMR(self): ...
    @property
    def DATUMRX(self): ...
    @property
    def DCQDEFN(self): ...
    @property
    def DEBUG_(self): ...
    @property
    def DELAYACT(self): ...
    @property
    def DENSITY(self): ...
    @property
    def DEPTH(self): ...
    @property
    def DEPTHTAB(self): ...
    @property
    def DEPTHZ(self): ...
    @property
    def DIAGDISP(self): ...
    @property
    def DIFF(self): ...
    @property
    def DIFFAGAS(self): ...
    @property
    def DIFFAWAT(self): ...
    @property
    def DIFFC(self): ...
    @property
    def DIFFCGAS(self): ...
    @property
    def DIFFCOAL(self): ...
    @property
    def DIFFCWAT(self): ...
    @property
    def DIFFDP(self): ...
    @property
    def DIFFMMF(self): ...
    @property
    def DIFFMR(self): ...
    @property
    def DIFFMTHT(self): ...
    @property
    def DIFFMX(self): ...
    @property
    def DIFFMY(self): ...
    @property
    def DIFFMZ(self): ...
    @property
    def DIFFR(self): ...
    @property
    def DIFFTHT(self): ...
    @property
    def DIFFUSE(self): ...
    @property
    def DIFFX(self): ...
    @property
    def DIFFY(self): ...
    @property
    def DIFFZ(self): ...
    @property
    def DIMENS(self): ...
    @property
    def DIMPES(self): ...
    @property
    def DIMPLICT(self): ...
    @property
    def DISGAS(self): ...
    @property
    def DISGASW(self): ...
    @property
    def DISPDIMS(self): ...
    @property
    def DISPERC(self): ...
    @property
    def DISPERSE(self): ...
    @property
    def DOMAINS(self): ...
    @property
    def DPGRID(self): ...
    @property
    def DPKRMOD(self): ...
    @property
    def DPNUM(self): ...
    @property
    def DR(self): ...
    @property
    def DREF(self): ...
    @property
    def DREFS(self): ...
    @property
    def DRILPRI(self): ...
    @property
    def DRSDT(self): ...
    @property
    def DRSDTCON(self): ...
    @property
    def DRSDTR(self): ...
    @property
    def DRV(self): ...
    @property
    def DRVDT(self): ...
    @property
    def DRVDTR(self): ...
    @property
    def DSPDEINT(self): ...
    @property
    def DTHETA(self): ...
    @property
    def DTHETAV(self): ...
    @property
    def DUALPERM(self): ...
    @property
    def DUALPORO(self): ...
    @property
    def DUMPCUPL(self): ...
    @property
    def DUMPFLUX(self): ...
    @property
    def DX(self): ...
    @property
    def DXV(self): ...
    @property
    def DY(self): ...
    @property
    def DYNAMICR(self): ...
    @property
    def DYNRDIMS(self): ...
    @property
    def DYV(self): ...
    @property
    def DZ(self): ...
    @property
    def DZMATRIX(self): ...
    @property
    def DZMTRX(self): ...
    @property
    def DZMTRXV(self): ...
    @property
    def DZNET(self): ...
    @property
    def DZV(self): ...
    @property
    def ECHO(self): ...
    @property
    def ECLMC(self): ...
    @property
    def EDIT(self): ...
    @property
    def EDITNNC(self): ...
    @property
    def EDITNNCR(self): ...
    @property
    def EHYSTR(self): ...
    @property
    def EHYSTRR(self): ...
    @property
    def END(self): ...
    @property
    def ENDACTIO(self): ...
    @property
    def ENDBOX(self): ...
    @property
    def ENDDYN(self): ...
    @property
    def ENDFIN(self): ...
    @property
    def ENDINC(self): ...
    @property
    def ENDNUM(self): ...
    @property
    def ENDPOINT_SPECIFIERS(self): ...
    @property
    def ENDSCALE(self): ...
    @property
    def ENDSKIP(self): ...
    @property
    def ENKRVD(self): ...
    @property
    def ENPCVD(self): ...
    @property
    def ENPTVD(self): ...
    @property
    def ENSPCVD(self): ...
    @property
    def EOS(self): ...
    @property
    def EOSNUM(self): ...
    @property
    def EPSDBGS(self): ...
    @property
    def EPSDEBUG(self): ...
    @property
    def EQLDIMS(self): ...
    @property
    def EQLNUM(self): ...
    @property
    def EQLOPTS(self): ...
    @property
    def EQLZCORN(self): ...
    @property
    def EQUALREG(self): ...
    @property
    def EQUALS(self): ...
    @property
    def EQUIL(self): ...
    @property
    def ESSNODE(self): ...
    @property
    def EXCAVATE(self): ...
    @property
    def EXCEL(self): ...
    @property
    def EXIT(self): ...
    @property
    def EXTFIN(self): ...
    @property
    def EXTHOST(self): ...
    @property
    def EXTRAPMS(self): ...
    @property
    def EXTREPGL(self): ...
    @property
    def FAULTDIM(self): ...
    @property
    def FAULTS(self): ...
    @property
    def FBHPDEF(self): ...
    @property
    def FHERCHBL(self): ...
    @property
    def FIELD(self): ...
    @property
    def FIELDSEP(self): ...
    @property
    def FIELD_PROBE(self): ...
    @property
    def FIELD_PROBE_OPM(self): ...
    @property
    def FILEUNIT(self): ...
    @property
    def FILLEPS(self): ...
    @property
    def FIPNUM(self): ...
    @property
    def FIPOWG(self): ...
    @property
    def FIPSEP(self): ...
    @property
    def FIP_PROBE(self): ...
    @property
    def FLUXNUM(self): ...
    @property
    def FLUXREG(self): ...
    @property
    def FLUXTYPE(self): ...
    @property
    def FMTHMD(self): ...
    @property
    def FMTIN(self): ...
    @property
    def FMTOUT(self): ...
    @property
    def FMWSET(self): ...
    @property
    def FOAM(self): ...
    @property
    def FOAMADS(self): ...
    @property
    def FOAMDCYO(self): ...
    @property
    def FOAMDCYW(self): ...
    @property
    def FOAMFCN(self): ...
    @property
    def FOAMFRM(self): ...
    @property
    def FOAMFSC(self): ...
    @property
    def FOAMFSO(self): ...
    @property
    def FOAMFST(self): ...
    @property
    def FOAMFSW(self): ...
    @property
    def FOAMMOB(self): ...
    @property
    def FOAMMOBP(self): ...
    @property
    def FOAMMOBS(self): ...
    @property
    def FOAMOPTS(self): ...
    @property
    def FOAMROCK(self): ...
    @property
    def FORMFEED(self): ...
    @property
    def FRICTION(self): ...
    @property
    def FULLIMP(self): ...
    @property
    def GAS(self): ...
    @property
    def GASBEGIN(self): ...
    @property
    def GASCONC(self): ...
    @property
    def GASDENT(self): ...
    @property
    def GASEND(self): ...
    @property
    def GASFCOMP(self): ...
    @property
    def GASFDECR(self): ...
    @property
    def GASFDELC(self): ...
    @property
    def GASFIELD(self): ...
    @property
    def GASFTARG(self): ...
    @property
    def GASJT(self): ...
    @property
    def GASMONTH(self): ...
    @property
    def GASPERIO(self): ...
    @property
    def GASSATC(self): ...
    @property
    def GASVISCT(self): ...
    @property
    def GASWAT(self): ...
    @property
    def GASYEAR(self): ...
    @property
    def GCALECON(self): ...
    @property
    def GCOMPIDX(self): ...
    @property
    def GCONCAL(self): ...
    @property
    def GCONENG(self): ...
    @property
    def GCONINJE(self): ...
    @property
    def GCONPRI(self): ...
    @property
    def GCONPROD(self): ...
    @property
    def GCONSALE(self): ...
    @property
    def GCONSUMP(self): ...
    @property
    def GCONTOL(self): ...
    @property
    def GCUTBACK(self): ...
    @property
    def GCUTBACT(self): ...
    @property
    def GCVD(self): ...
    @property
    def GDCQ(self): ...
    @property
    def GDCQECON(self): ...
    @property
    def GDFILE(self): ...
    @property
    def GDIMS(self): ...
    @property
    def GDORIENT(self): ...
    @property
    def GDRILPOT(self): ...
    @property
    def GECON(self): ...
    @property
    def GECONT(self): ...
    @property
    def GEFAC(self): ...
    @property
    def GETDATA(self): ...
    @property
    def GETGLOB(self): ...
    @property
    def GI(self): ...
    @property
    def GIALL(self): ...
    @property
    def GIMODEL(self): ...
    @property
    def GINODE(self): ...
    @property
    def GLIFTLIM(self): ...
    @property
    def GLIFTOPT(self): ...
    @property
    def GMWSET(self): ...
    @property
    def GNETDP(self): ...
    @property
    def GNETINJE(self): ...
    @property
    def GNETPUMP(self): ...
    @property
    def GPMAINT(self): ...
    @property
    def GRADGRUP(self): ...
    @property
    def GRADRESV(self): ...
    @property
    def GRADRFT(self): ...
    @property
    def GRADWELL(self): ...
    @property
    def GRAVCONS(self): ...
    @property
    def GRAVDR(self): ...
    @property
    def GRAVDRB(self): ...
    @property
    def GRAVDRM(self): ...
    @property
    def GRAVITY(self): ...
    @property
    def GRDREACH(self): ...
    @property
    def GRID(self): ...
    @property
    def GRIDFILE(self): ...
    @property
    def GRIDOPTS(self): ...
    @property
    def GRIDUNIT(self): ...
    @property
    def GROUP_PROBE(self): ...
    @property
    def GRUPMAST(self): ...
    @property
    def GRUPNET(self): ...
    @property
    def GRUPRIG(self): ...
    @property
    def GRUPSLAV(self): ...
    @property
    def GRUPTARG(self): ...
    @property
    def GRUPTREE(self): ...
    @property
    def GSATINJE(self): ...
    @property
    def GSATPROD(self): ...
    @property
    def GSEPCOND(self): ...
    @property
    def GSF(self): ...
    @property
    def GSSCPTST(self): ...
    @property
    def GSWINGF(self): ...
    @property
    def GTADD(self): ...
    @property
    def GTMULT(self): ...
    @property
    def GUIDECAL(self): ...
    @property
    def GUIDERAT(self): ...
    @property
    def GUPFREQ(self): ...
    @property
    def GWRTWCV(self): ...
    @property
    def H2SOL(self): ...
    @property
    def H2STORE(self): ...
    @property
    def HALFTRAN(self): ...
    @property
    def HAxxxxxx(self): ...
    @property
    def HBNUM(self): ...
    @property
    def HDISP(self): ...
    @property
    def HEATCR(self): ...
    @property
    def HEATCRT(self): ...
    @property
    def HMAQUCT(self): ...
    @property
    def HMAQUFET(self): ...
    @property
    def HMAQUNUM(self): ...
    @property
    def HMDIMS(self): ...
    @property
    def HMFAULTS(self): ...
    @property
    def HMMLAQUN(self): ...
    @property
    def HMMLCTAQ(self): ...
    @property
    def HMMLFTAQ(self): ...
    @property
    def HMMLTWCN(self): ...
    @property
    def HMMULTFT(self): ...
    @property
    def HMMULTSG(self): ...
    @property
    def HMMULTxx(self): ...
    @property
    def HMPROPS(self): ...
    @property
    def HMROCK(self): ...
    @property
    def HMROCKT(self): ...
    @property
    def HMRREF(self): ...
    @property
    def HMWELCON(self): ...
    @property
    def HMWPIMLT(self): ...
    @property
    def HMxxxxxx(self): ...
    @property
    def HRFIN(self): ...
    @property
    def HWELLS(self): ...
    @property
    def HWKRO(self): ...
    @property
    def HWKRORG(self): ...
    @property
    def HWKRORW(self): ...
    @property
    def HWKRW(self): ...
    @property
    def HWKRWR(self): ...
    @property
    def HWPCW(self): ...
    @property
    def HWSNUM(self): ...
    @property
    def HWSOGCR(self): ...
    @property
    def HWSOWCR(self): ...
    @property
    def HWSWCR(self): ...
    @property
    def HWSWL(self): ...
    @property
    def HWSWLPC(self): ...
    @property
    def HWSWU(self): ...
    @property
    def HXFIN(self): ...
    @property
    def HYDRHEAD(self): ...
    @property
    def HYFIN(self): ...
    @property
    def HYMOBGDR(self): ...
    @property
    def HYST(self): ...
    @property
    def HYSTCHCK(self): ...
    @property
    def HZFIN(self): ...
    @property
    def IHOST(self): ...
    @property
    def IMBNUM(self): ...
    @property
    def IMBNUMMF(self): ...
    @property
    def IMKRVD(self): ...
    @property
    def IMPCVD(self): ...
    @property
    def IMPES(self): ...
    @property
    def IMPLICIT(self): ...
    @property
    def IMPORT(self): ...
    @property
    def IMPTVD(self): ...
    @property
    def IMSPCVD(self): ...
    @property
    def INCLUDE(self): ...
    @property
    def INIT(self): ...
    @property
    def INRAD(self): ...
    @property
    def INSPEC(self): ...
    @property
    def INTPC(self): ...
    @property
    def IONROCK(self): ...
    @property
    def IONXROCK(self): ...
    @property
    def IONXSURF(self): ...
    @property
    def IPCG(self): ...
    @property
    def IPCW(self): ...
    @property
    def ISGCR(self): ...
    @property
    def ISGL(self): ...
    @property
    def ISGLPC(self): ...
    @property
    def ISGU(self): ...
    @property
    def ISOGCR(self): ...
    @property
    def ISOLNUM(self): ...
    @property
    def ISOWCR(self): ...
    @property
    def ISWCR(self): ...
    @property
    def ISWL(self): ...
    @property
    def ISWLPC(self): ...
    @property
    def ISWU(self): ...
    @property
    def JFUNC(self): ...
    @property
    def JFUNCR(self): ...
    @property
    def KRNUM(self): ...
    @property
    def KRNUMMF(self): ...
    @property
    def LAB(self): ...
    @property
    def LANGMPL(self): ...
    @property
    def LANGMUIR(self): ...
    @property
    def LANGSOLV(self): ...
    @property
    def LCUNIT(self): ...
    @property
    def LGR(self): ...
    @property
    def LGRCOPY(self): ...
    @property
    def LGRFREE(self): ...
    @property
    def LGRLOCK(self): ...
    @property
    def LGROFF(self): ...
    @property
    def LGRON(self): ...
    @property
    def LICENSES(self): ...
    @property
    def LIFTOPT(self): ...
    @property
    def LINCOM(self): ...
    @property
    def LINKPERM(self): ...
    @property
    def LIVEOIL(self): ...
    @property
    def LKRO(self): ...
    @property
    def LKRORG(self): ...
    @property
    def LKRORW(self): ...
    @property
    def LKRW(self): ...
    @property
    def LKRWR(self): ...
    @property
    def LOAD(self): ...
    @property
    def LOWSALT(self): ...
    @property
    def LPCW(self): ...
    @property
    def LSALTFNC(self): ...
    @property
    def LSLTWNUM(self): ...
    @property
    def LSNUM(self): ...
    @property
    def LSOGCR(self): ...
    @property
    def LSOWCR(self): ...
    @property
    def LSWCR(self): ...
    @property
    def LSWL(self): ...
    @property
    def LSWLPC(self): ...
    @property
    def LSWU(self): ...
    @property
    def LTOSIGMA(self): ...
    @property
    def LWKRO(self): ...
    @property
    def LWKRORG(self): ...
    @property
    def LWKRORW(self): ...
    @property
    def LWKRW(self): ...
    @property
    def LWKRWR(self): ...
    @property
    def LWPCW(self): ...
    @property
    def LWSLTNUM(self): ...
    @property
    def LWSNUM(self): ...
    @property
    def LWSOGCR(self): ...
    @property
    def LWSOWCR(self): ...
    @property
    def LWSWCR(self): ...
    @property
    def LWSWL(self): ...
    @property
    def LWSWLPC(self): ...
    @property
    def LWSWU(self): ...
    @property
    def LX(self): ...
    @property
    def LXFIN(self): ...
    @property
    def LY(self): ...
    @property
    def LYFIN(self): ...
    @property
    def LZ(self): ...
    @property
    def LZFIN(self): ...
    @property
    def MAPAXES(self): ...
    @property
    def MAPUNITS(self): ...
    @property
    def MASSFLOW(self): ...
    @property
    def MATCORR(self): ...
    @property
    def MAXVALUE(self): ...
    @property
    def MECH(self): ...
    @property
    def MEMORY(self): ...
    @property
    def MESSAGE(self): ...
    @property
    def MESSAGES(self): ...
    @property
    def MESSOPTS(self): ...
    @property
    def MESSSRVC(self): ...
    @property
    def METRIC(self): ...
    @property
    def MICP(self): ...
    @property
    def MICPPARA(self): ...
    @property
    def MINNNCT(self): ...
    @property
    def MINNPCOL(self): ...
    @property
    def MINPORV(self): ...
    @property
    def MINPV(self): ...
    @property
    def MINPVV(self): ...
    @property
    def MINVALUE(self): ...
    @property
    def MISC(self): ...
    @property
    def MISCIBLE(self): ...
    @property
    def MISCNUM(self): ...
    @property
    def MLANG(self): ...
    @property
    def MLANGSLV(self): ...
    @property
    def MONITOR(self): ...
    @property
    def MPFANUM(self): ...
    @property
    def MPFNNC(self): ...
    @property
    def MSFN(self): ...
    @property
    def MSGFILE(self): ...
    @property
    def MSUM_PROBE(self): ...
    @property
    def MULSGGD(self): ...
    @property
    def MULSGGDV(self): ...
    @property
    def MULTFLT(self): ...
    @property
    def MULTIN(self): ...
    @property
    def MULTIPLY(self): ...
    @property
    def MULTIREG(self): ...
    @property
    def MULTNUM(self): ...
    @property
    def MULTOUT(self): ...
    @property
    def MULTOUTS(self): ...
    @property
    def MULTPV(self): ...
    @property
    def MULTREAL(self): ...
    @property
    def MULTREGD(self): ...
    @property
    def MULTREGH(self): ...
    @property
    def MULTREGP(self): ...
    @property
    def MULTREGT(self): ...
    @property
    def MULTSIG(self): ...
    @property
    def MULTSIGV(self): ...
    @property
    def MULT_XYZ(self): ...
    @property
    def MW(self): ...
    @property
    def MWS(self): ...
    @property
    def NARROW(self): ...
    @property
    def NCOMPS(self): ...
    @property
    def NCONSUMP(self): ...
    @property
    def NEFAC(self): ...
    @property
    def NETBALAN(self): ...
    @property
    def NETCOMPA(self): ...
    @property
    def NETWORK(self): ...
    @property
    def NETWORK_PROBE(self): ...
    @property
    def NEWTRAN(self): ...
    @property
    def NEXTSTEP(self): ...
    @property
    def NEXTSTPL(self): ...
    @property
    def NINENUM(self): ...
    @property
    def NINEPOIN(self): ...
    @property
    def NMATOPTS(self): ...
    @property
    def NMATRIX(self): ...
    @property
    def NMESSAGE(self): ...
    @property
    def NNC(self): ...
    @property
    def NNEWTF(self): ...
    @property
    def NOCASC(self): ...
    @property
    def NODEPROP(self): ...
    @property
    def NODPPM(self): ...
    @property
    def NOECHO(self): ...
    @property
    def NOGGF(self): ...
    @property
    def NOGRAV(self): ...
    @property
    def NOHMD(self): ...
    @property
    def NOHMO(self): ...
    @property
    def NOHYST(self): ...
    @property
    def NOINSPEC(self): ...
    @property
    def NOMONITO(self): ...
    @property
    def NONNC(self): ...
    @property
    def NORSSPEC(self): ...
    @property
    def NOSIM(self): ...
    @property
    def NOWARN(self): ...
    @property
    def NOWARNEP(self): ...
    @property
    def NRSOUT(self): ...
    @property
    def NSTACK(self): ...
    @property
    def NTG(self): ...
    @property
    def NUMRES(self): ...
    @property
    def NUPCOL(self): ...
    @property
    def NWATREM(self): ...
    @property
    def NXFIN(self): ...
    @property
    def NYFIN(self): ...
    @property
    def NZFIN(self): ...
    @property
    def OCOMPIDX(self): ...
    @property
    def OFM(self): ...
    @property
    def OIL(self): ...
    @property
    def OILAPI(self): ...
    @property
    def OILCOMPR(self): ...
    @property
    def OILDENT(self): ...
    @property
    def OILJT(self): ...
    @property
    def OILMW(self): ...
    @property
    def OILVISCT(self): ...
    @property
    def OILVTIM(self): ...
    @property
    def OLDTRAN(self): ...
    @property
    def OLDTRANR(self): ...
    @property
    def OPERATE(self): ...
    @property
    def OPERATER(self): ...
    @property
    def OPERNUM(self): ...
    @property
    def OPTIONS(self): ...
    @property
    def OPTIONS3(self): ...
    @property
    def OUTRAD(self): ...
    @property
    def OUTSOL(self): ...
    @property
    def OVERBURD(self): ...
    @property
    def PARALLEL(self): ...
    @property
    def PARAOPTS(self): ...
    @property
    def PARTTRAC(self): ...
    @property
    def PATHS(self): ...
    @property
    def PBUB(self): ...
    @property
    def PBVD(self): ...
    @property
    def PCFACT(self): ...
    @property
    def PCG(self): ...
    @property
    def PCG32D(self): ...
    @property
    def PCRIT(self): ...
    @property
    def PCW(self): ...
    @property
    def PCW32D(self): ...
    @property
    def PDEW(self): ...
    @property
    def PDVD(self): ...
    @property
    def PEBI(self): ...
    @property
    def PECOEFS(self): ...
    @property
    def PEDIMS(self): ...
    @property
    def PEGTABX(self): ...
    @property
    def PEKTABX(self): ...
    @property
    def PENUM(self): ...
    @property
    def PERFORMANCE_PROBE(self): ...
    @property
    def PERMAVE(self): ...
    @property
    def PERMFACT(self): ...
    @property
    def PERMJFUN(self): ...
    @property
    def PERMR(self): ...
    @property
    def PERMTHT(self): ...
    @property
    def PERMX(self): ...
    @property
    def PERMXY(self): ...
    @property
    def PERMY(self): ...
    @property
    def PERMYZ(self): ...
    @property
    def PERMZ(self): ...
    @property
    def PERMZX(self): ...
    @property
    def PETGRID(self): ...
    @property
    def PETOPTS(self): ...
    @property
    def PICOND(self): ...
    @property
    def PIMTDIMS(self): ...
    @property
    def PIMULTAB(self): ...
    @property
    def PINCH(self): ...
    @property
    def PINCHNUM(self): ...
    @property
    def PINCHOUT(self): ...
    @property
    def PINCHREG(self): ...
    @property
    def PINCHXY(self): ...
    @property
    def PINTDIMS(self): ...
    @property
    def PLMIXNUM(self): ...
    @property
    def PLMIXPAR(self): ...
    @property
    def PLYADS(self): ...
    @property
    def PLYADSS(self): ...
    @property
    def PLYATEMP(self): ...
    @property
    def PLYCAMAX(self): ...
    @property
    def PLYDHFLF(self): ...
    @property
    def PLYESAL(self): ...
    @property
    def PLYKRRF(self): ...
    @property
    def PLYMAX(self): ...
    @property
    def PLYMWINJ(self): ...
    @property
    def PLYOPTS(self): ...
    @property
    def PLYRMDEN(self): ...
    @property
    def PLYROCK(self): ...
    @property
    def PLYROCKM(self): ...
    @property
    def PLYSHEAR(self): ...
    @property
    def PLYSHLOG(self): ...
    @property
    def PLYTRRF(self): ...
    @property
    def PLYTRRFA(self): ...
    @property
    def PLYVISC(self): ...
    @property
    def PLYVISCS(self): ...
    @property
    def PLYVISCT(self): ...
    @property
    def PLYVMH(self): ...
    @property
    def PLYVSCST(self): ...
    @property
    def PMAX(self): ...
    @property
    def PMISC(self): ...
    @property
    def POELCOEF(self): ...
    @property
    def POLYMER(self): ...
    @property
    def POLYMW(self): ...
    @property
    def PORO(self): ...
    @property
    def PORV(self): ...
    @property
    def PPCWMAX(self): ...
    @property
    def PRATIO(self): ...
    @property
    def PRECSALT(self): ...
    @property
    def PREF(self): ...
    @property
    def PREFS(self): ...
    @property
    def PRESSURE(self): ...
    @property
    def PRIORITY(self): ...
    @property
    def PROPS(self): ...
    @property
    def PRORDER(self): ...
    @property
    def PRVD(self): ...
    @property
    def PSTEADY(self): ...
    @property
    def PSWRG(self): ...
    @property
    def PSWRO(self): ...
    @property
    def PVCDO(self): ...
    @property
    def PVCO(self): ...
    @property
    def PVDG(self): ...
    @property
    def PVDO(self): ...
    @property
    def PVDS(self): ...
    @property
    def PVTG(self): ...
    @property
    def PVTGW(self): ...
    @property
    def PVTGWO(self): ...
    @property
    def PVTNUM(self): ...
    @property
    def PVTO(self): ...
    @property
    def PVTSOL(self): ...
    @property
    def PVTW(self): ...
    @property
    def PVTWSALT(self): ...
    @property
    def PVT_M(self): ...
    @property
    def PVZG(self): ...
    @property
    def PYACTION(self): ...
    @property
    def PYINPUT(self): ...
    @property
    def QDRILL(self): ...
    @property
    def QHRATING(self): ...
    @property
    def QMOBIL(self): ...
    @property
    def RADFIN(self): ...
    @property
    def RADFIN4(self): ...
    @property
    def RADIAL(self): ...
    @property
    def RAINFALL(self): ...
    @property
    def RBEDCONT(self): ...
    @property
    def RCMASTS(self): ...
    @property
    def REACHES(self): ...
    @property
    def READDATA(self): ...
    @property
    def REFINE(self): ...
    @property
    def REGDIMS(self): ...
    @property
    def REGION2REGION_PROBE(self): ...
    @property
    def REGION2REGION_PROBE_E300(self): ...
    @property
    def REGIONS(self): ...
    @property
    def REGION_PROBE(self): ...
    @property
    def REGION_PROBE_OPM(self): ...
    @property
    def RESIDNUM(self): ...
    @property
    def RESTART(self): ...
    @property
    def RESVNUM(self): ...
    @property
    def RHO(self): ...
    @property
    def RIVDEBUG(self): ...
    @property
    def RIVERSYS(self): ...
    @property
    def RIVRDIMS(self): ...
    @property
    def RIVRPROP(self): ...
    @property
    def RIVRXSEC(self): ...
    @property
    def RIVSALT(self): ...
    @property
    def RIVTRACE(self): ...
    @property
    def RKTRMDIR(self): ...
    @property
    def ROCK(self): ...
    @property
    def ROCK2D(self): ...
    @property
    def ROCK2DTR(self): ...
    @property
    def ROCKCOMP(self): ...
    @property
    def ROCKFRAC(self): ...
    @property
    def ROCKNUM(self): ...
    @property
    def ROCKOPTS(self): ...
    @property
    def ROCKPAMA(self): ...
    @property
    def ROCKTAB(self): ...
    @property
    def ROCKTABH(self): ...
    @property
    def ROCKTABW(self): ...
    @property
    def ROCKTHSG(self): ...
    @property
    def ROCKTSIG(self): ...
    @property
    def ROCKV(self): ...
    @property
    def ROCKWNOD(self): ...
    @property
    def RPTCPL(self): ...
    @property
    def RPTGRID(self): ...
    @property
    def RPTGRIDL(self): ...
    @property
    def RPTHMD(self): ...
    @property
    def RPTHMG(self): ...
    @property
    def RPTHMW(self): ...
    @property
    def RPTINIT(self): ...
    @property
    def RPTISOL(self): ...
    @property
    def RPTONLY(self): ...
    @property
    def RPTONLYO(self): ...
    @property
    def RPTPROPS(self): ...
    @property
    def RPTREGS(self): ...
    @property
    def RPTRST(self): ...
    @property
    def RPTRUNSP(self): ...
    @property
    def RPTSCHED(self): ...
    @property
    def RPTSMRY(self): ...
    @property
    def RPTSOL(self): ...
    @property
    def RS(self): ...
    @property
    def RSCONST(self): ...
    @property
    def RSCONSTT(self): ...
    @property
    def RSGI(self): ...
    @property
    def RSSPEC(self): ...
    @property
    def RSVD(self): ...
    @property
    def RTEMP(self): ...
    @property
    def RTEMPA(self): ...
    @property
    def RTEMPVD(self): ...
    @property
    def RUNSPEC(self): ...
    @property
    def RUNSUM(self): ...
    @property
    def RV(self): ...
    @property
    def RVCONST(self): ...
    @property
    def RVCONSTT(self): ...
    @property
    def RVGI(self): ...
    @property
    def RVVD(self): ...
    @property
    def RVW(self): ...
    @property
    def RVWVD(self): ...
    @property
    def RWGSALT(self): ...
    @property
    def SALINITY(self): ...
    @property
    def SALT(self): ...
    @property
    def SALTNODE(self): ...
    @property
    def SALTP(self): ...
    @property
    def SALTPVD(self): ...
    @property
    def SALTREST(self): ...
    @property
    def SALTSOL(self): ...
    @property
    def SALTVD(self): ...
    @property
    def SAMG(self): ...
    @property
    def SATNUM(self): ...
    @property
    def SATOPTS(self): ...
    @property
    def SAVE(self): ...
    @property
    def SBIOF(self): ...
    @property
    def SCALC(self): ...
    @property
    def SCALECRS(self): ...
    @property
    def SCALELIM(self): ...
    @property
    def SCDATAB(self): ...
    @property
    def SCDETAB(self): ...
    @property
    def SCDPDIMS(self): ...
    @property
    def SCDPTAB(self): ...
    @property
    def SCDPTRAC(self): ...
    @property
    def SCHEDULE(self): ...
    @property
    def SCVD(self): ...
    @property
    def SDENSITY(self): ...
    @property
    def SEGMENT_PROBE(self): ...
    @property
    def SEPARATE(self): ...
    @property
    def SEPVALS(self): ...
    @property
    def SFOAM(self): ...
    @property
    def SGAS(self): ...
    @property
    def SGCR(self): ...
    @property
    def SGCWMIS(self): ...
    @property
    def SGF32D(self): ...
    @property
    def SGFN(self): ...
    @property
    def SGL(self): ...
    @property
    def SGLPC(self): ...
    @property
    def SGOF(self): ...
    @property
    def SGOFLET(self): ...
    @property
    def SGU(self): ...
    @property
    def SGWFN(self): ...
    @property
    def SHRATE(self): ...
    @property
    def SIGMA(self): ...
    @property
    def SIGMAGDV(self): ...
    @property
    def SIGMATH(self): ...
    @property
    def SIGMAV(self): ...
    @property
    def SIMULATE(self): ...
    @property
    def SKIP(self): ...
    @property
    def SKIP100(self): ...
    @property
    def SKIP300(self): ...
    @property
    def SKIPREST(self): ...
    @property
    def SKPRPOLY(self): ...
    @property
    def SKPRWAT(self): ...
    @property
    def SKRO(self): ...
    @property
    def SKRORG(self): ...
    @property
    def SKRORW(self): ...
    @property
    def SKRW(self): ...
    @property
    def SKRWR(self): ...
    @property
    def SLAVES(self): ...
    @property
    def SLGOF(self): ...
    @property
    def SMICR(self): ...
    @property
    def SMRYDIMS(self): ...
    @property
    def SMULTX(self): ...
    @property
    def SMULTY(self): ...
    @property
    def SMULTZ(self): ...
    @property
    def SOCRS(self): ...
    @property
    def SOF2(self): ...
    @property
    def SOF3(self): ...
    @property
    def SOF32D(self): ...
    @property
    def SOGCR(self): ...
    @property
    def SOIL(self): ...
    @property
    def SOLID(self): ...
    @property
    def SOLUTION(self): ...
    @property
    def SOLVCONC(self): ...
    @property
    def SOLVDIMS(self): ...
    @property
    def SOLVDIRS(self): ...
    @property
    def SOLVENT(self): ...
    @property
    def SOLVFRAC(self): ...
    @property
    def SOLVNUM(self): ...
    @property
    def SOMGAS(self): ...
    @property
    def SOMWAT(self): ...
    @property
    def SORWMIS(self): ...
    @property
    def SOURCE(self): ...
    @property
    def SOWCR(self): ...
    @property
    def SOXYG(self): ...
    @property
    def SPECGRID(self): ...
    @property
    def SPECHEAT(self): ...
    @property
    def SPECROCK(self): ...
    @property
    def SPIDER(self): ...
    @property
    def SPOLY(self): ...
    @property
    def SPOLYMW(self): ...
    @property
    def SSFN(self): ...
    @property
    def SSGCR(self): ...
    @property
    def SSGL(self): ...
    @property
    def SSOGCR(self): ...
    @property
    def SSOL(self): ...
    @property
    def SSOWCR(self): ...
    @property
    def SSWCR(self): ...
    @property
    def SSWL(self): ...
    @property
    def SSWU(self): ...
    @property
    def START(self): ...
    @property
    def STCOND(self): ...
    @property
    def STOG(self): ...
    @property
    def STONE(self): ...
    @property
    def STONE1(self): ...
    @property
    def STONE1EX(self): ...
    @property
    def STONE2(self): ...
    @property
    def STOW(self): ...
    @property
    def STREQUIL(self): ...
    @property
    def STRESSEQUILNUM(self): ...
    @property
    def STWG(self): ...
    @property
    def SUMMARY(self): ...
    @property
    def SUMTHIN(self): ...
    @property
    def SUREA(self): ...
    @property
    def SURF(self): ...
    @property
    def SURFACT(self): ...
    @property
    def SURFACTW(self): ...
    @property
    def SURFADDW(self): ...
    @property
    def SURFADS(self): ...
    @property
    def SURFCAPD(self): ...
    @property
    def SURFESAL(self): ...
    @property
    def SURFNUM(self): ...
    @property
    def SURFOPTS(self): ...
    @property
    def SURFROCK(self): ...
    @property
    def SURFST(self): ...
    @property
    def SURFSTES(self): ...
    @property
    def SURFVISC(self): ...
    @property
    def SURFWNUM(self): ...
    @property
    def SWAT(self): ...
    @property
    def SWATINIT(self): ...
    @property
    def SWCR(self): ...
    @property
    def SWF32D(self): ...
    @property
    def SWFN(self): ...
    @property
    def SWINGFAC(self): ...
    @property
    def SWL(self): ...
    @property
    def SWLPC(self): ...
    @property
    def SWOF(self): ...
    @property
    def SWOFLET(self): ...
    @property
    def SWU(self): ...
    @property
    def TABDIMS(self): ...
    @property
    def TBLK(self): ...
    @property
    def TCRIT(self): ...
    @property
    def TEMP(self): ...
    @property
    def TEMPI(self): ...
    @property
    def TEMPNODE(self): ...
    @property
    def TEMPTVD(self): ...
    @property
    def TEMPVD(self): ...
    @property
    def THCGAS(self): ...
    @property
    def THCO2MIX(self): ...
    @property
    def THCOIL(self): ...
    @property
    def THCONR(self): ...
    @property
    def THCONSF(self): ...
    @property
    def THCROCK(self): ...
    @property
    def THCWATER(self): ...
    @property
    def THELCOEF(self): ...
    @property
    def THERMAL(self): ...
    @property
    def THERMEXR(self): ...
    @property
    def THPRES(self): ...
    @property
    def THPRESFT(self): ...
    @property
    def TIGHTEN(self): ...
    @property
    def TIGHTENP(self): ...
    @property
    def TIME(self): ...
    @property
    def TITLE(self): ...
    @property
    def TLMIXPAR(self): ...
    @property
    def TLPMIXPA(self): ...
    @property
    def TNUM(self): ...
    @property
    def TOLCRIT(self): ...
    @property
    def TOPS(self): ...
    @property
    def TPAMEPS(self): ...
    @property
    def TPAMEPSS(self): ...
    @property
    def TRACER(self): ...
    @property
    def TRACERKM(self): ...
    @property
    def TRACERKP(self): ...
    @property
    def TRACERS(self): ...
    @property
    def TRACITVD(self): ...
    @property
    def TRACTVD(self): ...
    @property
    def TRADS(self): ...
    @property
    def TRANGL(self): ...
    @property
    def TRANR(self): ...
    @property
    def TRANTHT(self): ...
    @property
    def TRANX(self): ...
    @property
    def TRANY(self): ...
    @property
    def TRANZ(self): ...
    @property
    def TRDCY(self): ...
    @property
    def TRDIF(self): ...
    @property
    def TRDIS(self): ...
    @property
    def TREF(self): ...
    @property
    def TREFS(self): ...
    @property
    def TRKPF(self): ...
    @property
    def TRNHD(self): ...
    @property
    def TRPLPORO(self): ...
    @property
    def TRROCK(self): ...
    @property
    def TSTEP(self): ...
    @property
    def TUNING(self): ...
    @property
    def TUNINGDP(self): ...
    @property
    def TUNINGH(self): ...
    @property
    def TUNINGL(self): ...
    @property
    def TUNINGS(self): ...
    @property
    def TVDP(self): ...
    @property
    def TZONE(self): ...
    @property
    def UDADIMS(self): ...
    @property
    def UDQ(self): ...
    @property
    def UDQDIMS(self): ...
    @property
    def UDQPARAM(self): ...
    @property
    def UDT(self): ...
    @property
    def UDTDIMS(self): ...
    @property
    def UNCODHMD(self): ...
    @property
    def UNIFIN(self): ...
    @property
    def UNIFOUT(self): ...
    @property
    def UNIFOUTS(self): ...
    @property
    def UNIFSAVE(self): ...
    @property
    def USECUPL(self): ...
    @property
    def USEFLUX(self): ...
    @property
    def USENOFLO(self): ...
    @property
    def VAPOIL(self): ...
    @property
    def VAPPARS(self): ...
    @property
    def VAPWAT(self): ...
    @property
    def VCRIT(self): ...
    @property
    def VDFLOW(self): ...
    @property
    def VDFLOWR(self): ...
    @property
    def VE(self): ...
    @property
    def VEDEBUG(self): ...
    @property
    def VEFIN(self): ...
    @property
    def VEFRAC(self): ...
    @property
    def VEFRACP(self): ...
    @property
    def VEFRACPV(self): ...
    @property
    def VEFRACV(self): ...
    @property
    def VFPCHK(self): ...
    @property
    def VFPIDIMS(self): ...
    @property
    def VFPINJ(self): ...
    @property
    def VFPPDIMS(self): ...
    @property
    def VFPPROD(self): ...
    @property
    def VFPTABL(self): ...
    @property
    def VISAGE(self): ...
    @property
    def VISCD(self): ...
    @property
    def VISCREF(self): ...
    @property
    def VISDATES(self): ...
    @property
    def VISOPTS(self): ...
    @property
    def WAGHYSTR(self): ...
    @property
    def WAITBAL(self): ...
    @property
    def WALKALIN(self): ...
    @property
    def WALQCALC(self): ...
    @property
    def WAPI(self): ...
    @property
    def WARN(self): ...
    @property
    def WATDENT(self): ...
    @property
    def WATER(self): ...
    @property
    def WATJT(self): ...
    @property
    def WATVISCT(self): ...
    @property
    def WBHGLR(self): ...
    @property
    def WBOREVOL(self): ...
    @property
    def WCALCVAL(self): ...
    @property
    def WCONHIST(self): ...
    @property
    def WCONINJ(self): ...
    @property
    def WCONINJE(self): ...
    @property
    def WCONINJH(self): ...
    @property
    def WCONINJP(self): ...
    @property
    def WCONPROD(self): ...
    @property
    def WCUTBACK(self): ...
    @property
    def WCUTBACT(self): ...
    @property
    def WCYCLE(self): ...
    @property
    def WDFAC(self): ...
    @property
    def WDFACCOR(self): ...
    @property
    def WDRILPRI(self): ...
    @property
    def WDRILRES(self): ...
    @property
    def WDRILTIM(self): ...
    @property
    def WECON(self): ...
    @property
    def WECONINJ(self): ...
    @property
    def WECONT(self): ...
    @property
    def WEFAC(self): ...
    @property
    def WELCNTL(self): ...
    @property
    def WELDEBUG(self): ...
    @property
    def WELDRAW(self): ...
    @property
    def WELEVNT(self): ...
    @property
    def WELLDIMS(self): ...
    @property
    def WELLSTRE(self): ...
    @property
    def WELL_COMPLETION_PROBE(self): ...
    @property
    def WELL_PROBE(self): ...
    @property
    def WELL_PROBE_COMP(self): ...
    @property
    def WELL_PROBE_OPM(self): ...
    @property
    def WELMOVEL(self): ...
    @property
    def WELOPEN(self): ...
    @property
    def WELOPENL(self): ...
    @property
    def WELPI(self): ...
    @property
    def WELPRI(self): ...
    @property
    def WELSEGS(self): ...
    @property
    def WELSOMIN(self): ...
    @property
    def WELSPECL(self): ...
    @property
    def WELSPECS(self): ...
    @property
    def WELTARG(self): ...
    @property
    def WELTRAJ(self): ...
    @property
    def WFOAM(self): ...
    @property
    def WFRICSEG(self): ...
    @property
    def WFRICSGL(self): ...
    @property
    def WFRICTN(self): ...
    @property
    def WFRICTNL(self): ...
    @property
    def WGASPROD(self): ...
    @property
    def WGORPEN(self): ...
    @property
    def WGRUPCON(self): ...
    @property
    def WH2NUM(self): ...
    @property
    def WH3NUM(self): ...
    @property
    def WHEDREFD(self): ...
    @property
    def WHISTCTL(self): ...
    @property
    def WHTEMP(self): ...
    @property
    def WINJCLN(self): ...
    @property
    def WINJDAM(self): ...
    @property
    def WINJFCNC(self): ...
    @property
    def WINJGAS(self): ...
    @property
    def WINJMULT(self): ...
    @property
    def WINJTEMP(self): ...
    @property
    def WLIFT(self): ...
    @property
    def WLIFTOPT(self): ...
    @property
    def WLIMTOL(self): ...
    @property
    def WLIST(self): ...
    @property
    def WLISTARG(self): ...
    @property
    def WLISTNAM(self): ...
    @property
    def WMICP(self): ...
    @property
    def WNETCTRL(self): ...
    @property
    def WNETDP(self): ...
    @property
    def WORKLIM(self): ...
    @property
    def WORKTHP(self): ...
    @property
    def WPAVE(self): ...
    @property
    def WPAVEDEP(self): ...
    @property
    def WPIMULT(self): ...
    @property
    def WPIMULTL(self): ...
    @property
    def WPITAB(self): ...
    @property
    def WPLUG(self): ...
    @property
    def WPMITAB(self): ...
    @property
    def WPOLYMER(self): ...
    @property
    def WPOLYRED(self): ...
    @property
    def WPOTCALC(self): ...
    @property
    def WREGROUP(self): ...
    @property
    def WRFT(self): ...
    @property
    def WRFTPLT(self): ...
    @property
    def WSALT(self): ...
    @property
    def WSCCLEAN(self): ...
    @property
    def WSCCLENL(self): ...
    @property
    def WSCTAB(self): ...
    @property
    def WSEGAICD(self): ...
    @property
    def WSEGDFIN(self): ...
    @property
    def WSEGDFMD(self): ...
    @property
    def WSEGDFPA(self): ...
    @property
    def WSEGDIMS(self): ...
    @property
    def WSEGEXSS(self): ...
    @property
    def WSEGFLIM(self): ...
    @property
    def WSEGFMOD(self): ...
    @property
    def WSEGINIT(self): ...
    @property
    def WSEGITER(self): ...
    @property
    def WSEGLABY(self): ...
    @property
    def WSEGLINK(self): ...
    @property
    def WSEGMULT(self): ...
    @property
    def WSEGPROP(self): ...
    @property
    def WSEGSEP(self): ...
    @property
    def WSEGSICD(self): ...
    @property
    def WSEGSOLV(self): ...
    @property
    def WSEGTABL(self): ...
    @property
    def WSEGVALV(self): ...
    @property
    def WSF(self): ...
    @property
    def WSKPTAB(self): ...
    @property
    def WSOLVENT(self): ...
    @property
    def WSURFACT(self): ...
    @property
    def WTADD(self): ...
    @property
    def WTEMP(self): ...
    @property
    def WTEMPQ(self): ...
    @property
    def WTEST(self): ...
    @property
    def WTHPMAX(self): ...
    @property
    def WTMULT(self): ...
    @property
    def WTRACER(self): ...
    @property
    def WVFPDP(self): ...
    @property
    def WVFPEXP(self): ...
    @property
    def WWPAVE(self): ...
    @property
    def XMF(self): ...
    @property
    def YMF(self): ...
    @property
    def YMODULE(self): ...
    @property
    def ZCORN(self): ...
    @property
    def ZFACT1(self): ...
    @property
    def ZFACT1S(self): ...
    @property
    def ZFACTOR(self): ...
    @property
    def ZFACTORS(self): ...
    @property
    def ZIPP2OFF(self): ...
    @property
    def ZIPPY2(self): ...
    @property
    def ZMFVD(self): ...

class Connection:
    def __init__(self, *args, **kwargs) -> None: ...
    @property
    def attached_to_segment(self) -> bool: ...
    @property
    def center_depth(self) -> float: ...
    @property
    def cf(self) -> float: ...
    @property
    def complnum(self) -> int: ...
    @property
    def direction(self) -> str: ...
    @property
    def i(self) -> int: ...
    @property
    def j(self) -> int: ...
    @property
    def k(self) -> int: ...
    @property
    def kh(self) -> float: ...
    @property
    def number(self) -> int: ...
    @property
    def pos(self) -> Tuple[int, int, int]: ...
    @property
    def rw(self) -> float: ...
    @property
    def sat_table_id(self) -> int: ...
    @property
    def segment_number(self) -> int: ...
    @property
    def state(self) -> str: ...

class Deck:
    def __init__(self, *args, **kwargs) -> None: ...
    def active_unit_system(self, *args, **kwargs): ...
    def add(self, arg0: DeckKeyword) -> None: ...
    def count(self, arg0: str) -> int: ...
    def default_unit_system(self, *args, **kwargs): ...
    def __contains__(self, arg0: str) -> bool: ...
    @overload
    def __getitem__(self, arg0: int) -> DeckKeyword: ...
    @overload
    def __getitem__(self, arg0: str) -> DeckKeyword: ...
    @overload
    def __getitem__(self, arg0: tuple) -> DeckKeyword: ...
    def __iter__(self) -> Iterator: ...
    def __len__(self) -> int: ...

class DeckItem:
    def __init__(self, *args, **kwargs) -> None: ...
    def get_SI(self, arg0: int) -> float: ...
    def get_SI_data_list(self) -> list: ...
    def get_data_list(self) -> list: ...
    def get_int(self, arg0: int) -> int: ...
    def get_raw(self, arg0: int) -> float: ...
    def get_raw_data_list(self) -> list: ...
    def get_str(self, arg0: int) -> str: ...
    def get_uda(self, *args, **kwargs): ...
    def is_double(self) -> bool: ...
    def is_int(self) -> bool: ...
    def is_string(self) -> bool: ...
    def is_uda(self) -> bool: ...
    def name(self) -> str: ...
    def __len__(self) -> int: ...

class DeckKeyword:
    @overload
    def __init__(self, arg0) -> None: ...
    @overload
    def __init__(self, arg0, arg1: list, arg2, arg3) -> None: ...
    @overload
    def __init__(self, arg0, arg1: numpy.ndarray[numpy.int32]) -> None: ...
    @overload
    def __init__(self, arg0, arg1: numpy.ndarray[numpy.float64], arg2, arg3) -> None: ...
    def get_SI_array(self) -> numpy.ndarray[numpy.float64]: ...
    def get_int_array(self) -> numpy.ndarray[numpy.int32]: ...
    def get_raw_array(self) -> numpy.ndarray[numpy.float64]: ...
    def __getitem__(self, index): ...
    def __iter__(self) -> Iterator: ...
    def __len__(self) -> int: ...
    @property
    def name(self) -> str: ...

class DeckRecord:
    def __init__(self, *args, **kwargs) -> None: ...
    def __getitem__(self, index): ...
    def __iter__(self) -> Iterator: ...
    def __len__(self) -> int: ...

class Dimension:
    def __init__(self, *args, **kwargs) -> None: ...
    @property
    def offset(self) -> float: ...
    @property
    def scaling(self) -> float: ...

class EGrid:
    def __init__(self, arg0: str) -> None: ...
    def active_index(self, arg0: int, arg1: int, arg2: int) -> int: ...
    @overload
    def cellvolumes(self) -> numpy.ndarray: ...
    @overload
    def cellvolumes(self, arg0: List[int]) -> numpy.ndarray: ...
    def global_index(self, arg0: int, arg1: int, arg2: int) -> int: ...
    def ijk_from_active_index(self, arg0: int) -> List[int[3]]: ...
    def ijk_from_global_index(self, arg0: int) -> List[int[3]]: ...
    def xyz_from_active_index(self, arg0: int) -> Tuple[List[float[8]], List[float[8]], List[float[8]]]: ...
    def xyz_from_ijk(self, arg0: int, arg1: int, arg2: int) -> Tuple[List[float[8]], List[float[8]], List[float[8]]]: ...
    @property
    def active_cells(self) -> int: ...
    @property
    def dimension(self) -> List[int[3]]: ...

class EModel:
    def __init__(self, arg0: str) -> None: ...
    def active_cells(self) -> int: ...
    def active_report_step(self) -> int: ...
    def add_hc_filter(self) -> None: ...
    def get(self, arg0: str) -> numpy.ndarray: ...
    def get_list_of_arrays(self) -> List[Tuple[str, eclArrType]]: ...
    def get_report_steps(self) -> List[int]: ...
    def grid_dims(self) -> Tuple[int, int, int]: ...
    def has_report_step(self, arg0: int) -> bool: ...
    def reset_filter(self) -> None: ...
    def set_depth_fwl(self, arg0: List[float]) -> None: ...
    def set_report_step(self, arg0: int) -> None: ...
    def __contains__(self, arg0: str) -> bool: ...

class ERft:
    def __init__(self, arg0: str) -> None: ...
    def __len__(self) -> int: ...
    @property
    def list_of_rfts(self) -> List[Tuple[str, Tuple[int, int, int], float]]: ...

class ERst:
    def __init__(self, arg0: str) -> None: ...
    @overload
    def arrays(self, arg0: int) -> List[Tuple[str, eclArrType, int]]: ...
    @overload
    def arrays(self, arg0: int, arg1: str) -> List[Tuple[str, eclArrType, int]]: ...
    def count(self, arg0: str, arg1: int) -> int: ...
    def load_report_step(self, arg0: int) -> None: ...
    def __len__(self) -> int: ...
    @property
    def report_steps(self) -> List[int]: ...

class ESmry:
    def __init__(self, filename: str, load_base_run: bool = ...) -> None: ...
    @overload
    def keys(self) -> List[str]: ...
    @overload
    def keys(self, arg0: str) -> List[str]: ...
    def make_esmry_file(self) -> None: ...
    def __contains__(self, arg0: str) -> bool: ...
    def __len__(self) -> int: ...
    @property
    def start_date(self) -> datetime.datetime: ...

class EclFile:
    def __init__(self, filename: str, preload: bool = ...) -> None: ...
    def count(self, arg0: str) -> int: ...
    def __contains__(self, arg0: str) -> bool: ...
    def __len__(self) -> int: ...
    @property
    def arrays(self) -> List[Tuple[str, eclArrType, int]]: ...

class EclOutput:
    def __init__(self, filename: str, formatted: bool = ..., append: bool = ...) -> None: ...
    def write_message(self, arg0: str) -> None: ...

class EclipseConfig:
    def __init__(self, *args, **kwargs) -> None: ...
    def init(self, *args, **kwargs): ...

class EclipseGrid:
    def __init__(self, *args, **kwargs) -> None: ...
    @overload
    def getCellDepth(self, arg0: int) -> float: ...
    @overload
    def getCellDepth(self, arg0: int, arg1: int, arg2: int) -> float: ...
    @overload
    def getCellDepth(self) -> numpy.ndarray: ...
    @overload
    def getCellDepth(self, arg0: List[int]) -> numpy.ndarray: ...
    @overload
    def getCellVolume(self, arg0: int) -> float: ...
    @overload
    def getCellVolume(self, arg0: int, arg1: int, arg2: int) -> float: ...
    @overload
    def getCellVolume(self) -> numpy.ndarray: ...
    @overload
    def getCellVolume(self, arg0: List[int]) -> numpy.ndarray: ...
    def getIJK(self, arg0: int) -> tuple: ...
    def globalIndex(self, arg0: int, arg1: int, arg2: int) -> int: ...
    @property
    def cartesianSize(self) -> int: ...
    @property
    def nactive(self) -> int: ...
    @property
    def nx(self) -> int: ...
    @property
    def ny(self) -> int: ...
    @property
    def nz(self) -> int: ...

class EclipseState:
    def __init__(self, arg0: Deck) -> None: ...
    def config(self) -> EclipseConfig: ...
    def faultFaces(self, fault_name: str) -> list: ...
    def faultNames(self) -> list: ...
    def field_props(self) -> FieldProperties: ...
    def grid(self) -> EclipseGrid: ...
    def has_input_nnc(self) -> bool: ...
    def input_nnc(self) -> list: ...
    def jfunc(self) -> dict: ...
    def simulation(self) -> SimulationConfig: ...
    def tables(self) -> Tables: ...
    @property
    def title(self) -> str: ...

class FieldProperties:
    def __init__(self, *args, **kwargs) -> None: ...
    def get_double_array(self, arg0: str) -> numpy.ndarray[numpy.float64]: ...
    def get_int_array(self, arg0: str) -> numpy.ndarray[numpy.int32]: ...
    def __contains__(self, arg0: str) -> bool: ...
    def __getitem__(self, arg0: str) -> numpy.ndarray: ...

class Group:
    def __init__(self, *args, **kwargs) -> None: ...
    @property
    def name(self) -> str: ...
    @property
    def num_wells(self) -> int: ...
    @property
    def well_names(self) -> List[str]: ...

class IOConfig:
    def __init__(self, *args, **kwargs) -> None: ...

class InitConfig:
    def __init__(self, *args, **kwargs) -> None: ...
    def getRestartStep(self) -> int: ...
    def hasEquil(self) -> bool: ...
    def restartRequested(self) -> bool: ...

class OpmLog:
    def __init__(self, *args, **kwargs) -> None: ...
    @staticmethod
    def bug(arg0: str) -> None: ...
    @staticmethod
    def debug(arg0: str) -> None: ...
    @staticmethod
    def error(arg0: str) -> None: ...
    @staticmethod
    def info(arg0: str) -> None: ...
    @staticmethod
    def note(arg0: str) -> None: ...
    @staticmethod
    def problem(arg0: str) -> None: ...
    @staticmethod
    def warning(arg0: str) -> None: ...

class ParseContext:
    @overload
    def __init__(self) -> None: ...
    @overload
    def __init__(self, arg0) -> None: ...
    def ignore_keyword(self, arg0: str) -> None: ...
    def update(self, arg0: str, arg1) -> None: ...

class Parser:
    def __init__(self, add_default: bool = ...) -> None: ...
    @overload
    def add_keyword(self, arg0: ParserKeyword) -> None: ...
    @overload
    def add_keyword(self, arg0: str) -> None: ...
    @overload
    def parse(self, arg0: str) -> Deck: ...
    @overload
    def parse(self, arg0: str, arg1: ParseContext) -> Deck: ...
    @overload
    def parse(self, arg0: str, arg1: ParseContext, arg2: List[eclSectionType]) -> Deck: ...
    @overload
    def parse_string(self, arg0: str) -> Deck: ...
    @overload
    def parse_string(self, arg0: str, arg1: ParseContext) -> Deck: ...
    def __getitem__(self, arg0: str) -> ParserKeyword: ...

class ParserKeyword:
    def __init__(self, *args, **kwargs) -> None: ...
    @property
    def name(self) -> str: ...

class Schedule:
    def __init__(self, deck: Deck, eclipse_state) -> None: ...
    def get_injection_properties(self, well_name: str, report_step: int) -> Dict[str, float]: ...
    def get_production_properties(self, well_name: str, report_step: int) -> Dict[str, float]: ...
    def get_well(self, well_name: str, report_step: int) -> Well: ...
    def get_wells(self, well_name_pattern: int) -> List[Well]: ...
    @overload
    def insert_keywords(self, keywords: list, step: int) -> None: ...
    @overload
    def insert_keywords(self, data: str, step: int, unit_system: UnitSystem) -> None: ...
    @overload
    def insert_keywords(self, data: str, step: int) -> None: ...
    @overload
    def insert_keywords(self, data: str) -> None: ...
    @overload
    def open_well(self, well_name: str, step: int) -> None: ...
    @overload
    def open_well(self, well_name: str) -> None: ...
    @overload
    def shut_well(self, well_name: str, step: int) -> None: ...
    @overload
    def shut_well(self, well_name: str) -> None: ...
    @overload
    def stop_well(self, well_name: str, step: int) -> None: ...
    @overload
    def stop_well(self, well_name: str) -> None: ...
    def well_names(self, well_name_pattern: str) -> List[str]: ...
    def __contains__(self, well_name: str) -> bool: ...
    def __getitem__(self, report_step: int) -> ScheduleState: ...
    def __iter__(self) -> typing.Iterator[ScheduleState]: ...
    def __len__(self) -> int: ...
    @property
    def end(self) -> datetime.datetime: ...
    @property
    def start(self) -> datetime.datetime: ...
    @property
    def timesteps(self) -> List[datetime.datetime]: ...

class ScheduleState:
    def __init__(self, *args, **kwargs) -> None: ...
    def group(self, group_name: str) -> Group: ...
    @property
    def nupcol(self) -> int: ...

class SimulationConfig:
    def __init__(self, *args, **kwargs) -> None: ...
    def hasDISGAS(self) -> bool: ...
    def hasDISGASW(self) -> bool: ...
    def hasThresholdPressure(self) -> bool: ...
    def hasVAPOIL(self) -> bool: ...
    def hasVAPWAT(self) -> bool: ...
    def useCPR(self) -> bool: ...
    def useNONNC(self) -> bool: ...

class SummaryConfig:
    def __init__(self, arg0: Deck, arg1, arg2) -> None: ...
    def __contains__(self, arg0: str) -> bool: ...

class SummaryState:
    def __init__(self, arg0: int) -> None: ...
    def elapsed(self) -> float: ...
    def group_var(self, group_name: str, variable_name: str) -> float: ...
    def has_group_var(self, group_name: str, variable_name: str) -> bool: ...
    def has_well_var(self, well_name: str, variable_name: str) -> bool: ...
    def update(self, arg0: str, arg1: float) -> None: ...
    def update_group_var(self, group_name: str, variable_name: str, new_value: float) -> None: ...
    def update_well_var(self, well_name: str, variable_name: str, new_value: float) -> None: ...
    def well_var(self, well_name: str, variable_name: str) -> float: ...
    def __contains__(self, arg0: str) -> bool: ...
    def __getitem__(self, arg0: str) -> float: ...
    def __setitem__(self, arg0: str, arg1: float) -> None: ...
    @property
    def groups(self) -> List[str]: ...
    @property
    def wells(self) -> List[str]: ...

class Tables:
    def __init__(self, *args, **kwargs) -> None: ...
    def evaluate(self, arg0: str, arg1: int, arg2: str, arg3: float) -> float: ...
    def __contains__(self, arg0: str) -> bool: ...

class UDAValue:
    @overload
    def __init__(self, arg0: float, arg1) -> None: ...
    @overload
    def __init__(self, arg0: str, arg1) -> None: ...
    def dimension(self, *args, **kwargs): ...
    def get_double(self) -> float: ...
    def get_string(self) -> str: ...
    def is_double(self) -> bool: ...
    def is_string(self) -> bool: ...

class UnitSystem:
    def __init__(self, *args, **kwargs) -> None: ...
    @property
    def name(self) -> str: ...

class Well:
    def __init__(self, *args, **kwargs) -> None: ...
    def available_gctrl(self) -> bool: ...
    def connections(self) -> List[Connection]: ...
    def group(self) -> str: ...
    def guide_rate(self) -> float: ...
    def isdefined(self, arg0: int) -> bool: ...
    def isinjector(self) -> bool: ...
    def isproducer(self) -> bool: ...
    def pos(self) -> Tuple[int, int, float]: ...
    def status(self) -> str: ...
    @property
    def name(self) -> str: ...
    @property
    def preferred_phase(self) -> str: ...

class action:
    __members__: ClassVar[dict] = ...  # read-only
    __entries: ClassVar[dict] = ...
    ignore: ClassVar[action] = ...
    throw: ClassVar[action] = ...
    warn: ClassVar[action] = ...
    def __init__(self, value: int) -> None: ...
    def __eq__(self, other: object) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __ne__(self, other: object) -> bool: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class eclArrType:
    __members__: ClassVar[dict] = ...  # read-only
    C0nn: ClassVar[eclArrType] = ...
    CHAR: ClassVar[eclArrType] = ...
    DOUB: ClassVar[eclArrType] = ...
    INTE: ClassVar[eclArrType] = ...
    LOGI: ClassVar[eclArrType] = ...
    MESS: ClassVar[eclArrType] = ...
    REAL: ClassVar[eclArrType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None: ...
    def __and__(self, other: object) -> object: ...
    def __eq__(self, other: object) -> bool: ...
    def __ge__(self, other: object) -> bool: ...
    def __gt__(self, other: object) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __invert__(self) -> object: ...
    def __le__(self, other: object) -> bool: ...
    def __lt__(self, other: object) -> bool: ...
    def __ne__(self, other: object) -> bool: ...
    def __or__(self, other: object) -> object: ...
    def __rand__(self, other: object) -> object: ...
    def __ror__(self, other: object) -> object: ...
    def __rxor__(self, other: object) -> object: ...
    def __xor__(self, other: object) -> object: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

class eclSectionType:
    __members__: ClassVar[dict] = ...  # read-only
    EDIT: ClassVar[eclSectionType] = ...
    GRID: ClassVar[eclSectionType] = ...
    PROPS: ClassVar[eclSectionType] = ...
    REGIONS: ClassVar[eclSectionType] = ...
    RUNSPEC: ClassVar[eclSectionType] = ...
    SCHEDULE: ClassVar[eclSectionType] = ...
    SOLUTION: ClassVar[eclSectionType] = ...
    SUMMARY: ClassVar[eclSectionType] = ...
    __entries: ClassVar[dict] = ...
    def __init__(self, value: int) -> None: ...
    def __and__(self, other: object) -> object: ...
    def __eq__(self, other: object) -> bool: ...
    def __ge__(self, other: object) -> bool: ...
    def __gt__(self, other: object) -> bool: ...
    def __hash__(self) -> int: ...
    def __index__(self) -> int: ...
    def __int__(self) -> int: ...
    def __invert__(self) -> object: ...
    def __le__(self, other: object) -> bool: ...
    def __lt__(self, other: object) -> bool: ...
    def __ne__(self, other: object) -> bool: ...
    def __or__(self, other: object) -> object: ...
    def __rand__(self, other: object) -> object: ...
    def __ror__(self, other: object) -> object: ...
    def __rxor__(self, other: object) -> object: ...
    def __xor__(self, other: object) -> object: ...
    @property
    def name(self) -> str: ...
    @property
    def value(self) -> int: ...

def calc_cell_vol(arg0: List[float[8]], arg1: List[float[8]], arg2: List[float[8]]) -> float: ...
def create_deck(arg0: str, arg1: ParseContext, arg2) -> Deck: ...
def create_deck_string(arg0: str, arg1: ParseContext, arg2) -> Deck: ...
